{
  "name": "maternal-web",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev -p 3030 -H 0.0.0.0",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage",
    "test:e2e": "playwright test",
    "test:e2e:ui": "playwright test --ui",
    "test:e2e:headed": "playwright test --headed"
  },
  "dependencies": {
    "@apollo/client": "^4.0.7",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.1",
    "@hookform/resolvers": "^5.2.2",
    "@mui/icons-material": "^7.3.3",
    "@mui/material": "^7.3.3",
    "@mui/material-nextjs": "^7.3.3",
    "@reduxjs/toolkit": "^2.9.0",
    "@simplewebauthn/browser": "^13.2.0",
    "@tanstack/react-query": "^5.90.2",
    "axios": "^1.12.2",
    "date-fns": "^4.1.0",
    "date-fns-tz": "^3.2.0",
    "focus-trap-react": "^11.0.4",
    "framer-motion": "^12.23.22",
    "graphql": "^16.11.0",
    "i18next": "^25.5.3",
    "i18next-browser-languagedetector": "^8.2.0",
    "next": "^15.5.4",
    "next-pwa": "^5.6.0",
    "react": "^19.2.0",
    "react-dom": "^19.2.0",
    "react-focus-lock": "^2.13.6",
    "react-hook-form": "^7.63.0",
    "react-i18next": "^16.0.0",
    "react-markdown": "^10.1.0",
    "react-redux": "^9.2.0",
    "recharts": "^3.2.1",
    "redux-persist": "^6.0.0",
    "remark-gfm": "^4.0.1",
    "socket.io-client": "^4.8.1",
    "web-vitals": "^5.1.0",
    "workbox-webpack-plugin": "^7.3.0",
    "workbox-window": "^7.3.0",
    "zod": "^4.1.11"
  },
  "devDependencies": {
    "@axe-core/react": "^4.10.2",
    "@playwright/test": "^1.55.1",
    "@testing-library/jest-dom": "^6.9.1",
    "@testing-library/react": "^16.3.0",
    "@testing-library/user-event": "^14.6.1",
    "@types/jest": "^30.0.0",
    "@types/node": "^24.6.2",
    "@types/react": "^19.2.0",
    "@types/react-dom": "^19.2.0",
    "eslint-config-next": "^15.5.4",
    "eslint-plugin-jsx-a11y": "^6.10.2",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^30.2.0",
    "jest-axe": "^10.0.0",
    "jest-environment-jsdom": "^30.2.0",
    "postcss": "^8",
    "tailwindcss": "^3.4.1",
    "ts-jest": "^29.4.4",
    "typescript": "^5"
  }
}
